Changeset 128395 for trunk/dports/aqua


Ignore:
Timestamp:
Nov 20, 2014, 6:25:33 PM (5 years ago)
Author:
ionic@…
Message:

pinentry-mac: remove manual check, use xcodeversion PortGroup to enforce 10.8+ and Xcode 5 needed by the xcodeproject.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/aqua/pinentry-mac/Portfile

    r128394 r128395  
    55PortGroup               github 1.0
    66PortGroup               xcode 1.0
     7PortGroup               xcodeversion 1.0
    78
    89github.setup            GPGTools pinentry-mac 0.8.1 v
     
    2627installs_libs           no
    2728
    28 pre-fetch {
    29     if {${os.major} < 12} {
    30         ui_error    "This software utilizes ARC, which is only available on 10.7 and later.
    31                      Additionally, the package itself is only compatible with Xcode 5 and up
    32                      not compatible with 10.7 and below."
    33         error       "Unsupported operating system."
    34     }
    35 }
     29# xcodeproject has been created with Xcode 5 which is only available on 10.8 and up.
     30minimum_xcodeversions   {12 5.0}
    3631
    3732platform macosx {
Note: See TracChangeset for help on using the changeset viewer.